=== drivers/media/pci/intel/ipu3/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
obj-$(CONFIG_VIDEO_IPU3_CIO2) += ipu3-cio2.o

ipu3-cio2-y += ipu3-cio2-main.o
