=== debian/tests/control ===
Test-Command: py.test debian/lib/python
Restrictions: superficial
Depends: python3-pytest

Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-6.5.0-5mx-ahs-alpha-generic [alpha], linux-image-6.5.0-5mx-ahs-alpha-smp [alpha], linux-image-6.5.0-5mx-ahs-amd64-unsigned [amd64], linux-image-6.5.0-5mx-ahs-cloud-amd64-unsigned [amd64], linux-image-6.5.0-5mx-ahs-arm64-unsigned [arm64], linux-image-6.5.0-5mx-ahs-cloud-arm64-unsigned [arm64], linux-image-6.5.0-5mx-ahs-marvell [armel], linux-image-6.5.0-5mx-ahs-rpi [armel], linux-image-6.5.0-5mx-ahs-armmp [armhf], linux-image-6.5.0-5mx-ahs-armmp-lpae [armhf], linux-image-6.5.0-5mx-ahs-parisc [hppa], linux-image-6.5.0-5mx-ahs-parisc64 [hppa], linux-image-6.5.0-5mx-ahs-686-unsigned [i386], linux-image-6.5.0-5mx-ahs-686-pae-unsigned [i386], linux-image-6.5.0-5mx-ahs-itanium [ia64], linux-image-6.5.0-5mx-ahs-mckinley [ia64], linux-image-6.5.0-5mx-ahs-m68k [m68k], linux-image-6.5.0-5mx-ahs-4kc-malta [mips mipsel], linux-image-6.5.0-5mx-ahs-mips32r2eb [mips], linux-image-6.5.0-5mx-ahs-octeon [mips mips64 mips64el mipsel], linux-image-6.5.0-5mx-ahs-5kc-malta [mips64 mips64el], linux-image-6.5.0-5mx-ahs-mips64r2eb [mips64], linux-image-6.5.0-5mx-ahs-mips64r2el [mips64el], linux-image-6.5.0-5mx-ahs-loongson-3 [mips64el mipsel], linux-image-6.5.0-5mx-ahs-mips64r6eb [mips64r6], linux-image-6.5.0-5mx-ahs-mips64r6el [mips64r6el], linux-image-6.5.0-5mx-ahs-mips32r2el [mipsel], linux-image-6.5.0-5mx-ahs-mips32r6eb [mipsr6], linux-image-6.5.0-5mx-ahs-mips32r6el [mipsr6el], linux-image-6.5.0-5mx-ahs-powerpc [powerpc], linux-image-6.5.0-5mx-ahs-powerpc-smp [powerpc], linux-image-6.5.0-5mx-ahs-powerpc64 [powerpc ppc64], linux-image-6.5.0-5mx-ahs-powerpc64le [ppc64el], linux-image-6.5.0-5mx-ahs-riscv64 [riscv64], linux-image-6.5.0-5mx-ahs-s390x [s390x], linux-image-6.5.0-5mx-ahs-sh7751r [sh4], linux-image-6.5.0-5mx-ahs-sh7785lcr [sh4], linux-image-6.5.0-5mx-ahs-sparc64 [sparc64], linux-image-6.5.0-5mx-ahs-sparc64-smp [sparc64]
Classes: smp

Tests: kbuild
Architecture: alpha amd64 arm64 armhf hppa i386 ia64 m68k ppc64 ppc64el riscv64 s390x sparc64
Restrictions: superficial
Depends: python3, linux-headers-6.5.0-5mx-ahs-alpha-smp [alpha], linux-headers-6.5.0-5mx-ahs-cloud-amd64 [amd64], linux-headers-6.5.0-5mx-ahs-cloud-arm64 [arm64], linux-headers-6.5.0-5mx-ahs-armmp [armhf], linux-headers-6.5.0-5mx-ahs-parisc [hppa], linux-headers-6.5.0-5mx-ahs-686-pae [i386], linux-headers-6.5.0-5mx-ahs-itanium [ia64], linux-headers-6.5.0-5mx-ahs-m68k [m68k], linux-headers-6.5.0-5mx-ahs-powerpc64 [ppc64], linux-headers-6.5.0-5mx-ahs-powerpc64le [ppc64el], linux-headers-6.5.0-5mx-ahs-riscv64 [riscv64], linux-headers-6.5.0-5mx-ahs-s390x [s390x], linux-headers-6.5.0-5mx-ahs-sparc64-smp [sparc64]
